<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="GateController.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2" />
    </startup>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.6.8.0" newVersion="2.6.8.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.6.8.0" newVersion="2.6.8.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-10.0.0.0" newVersion="10.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <userSettings>
    <GateController.Properties.Settings>
      <setting name="HubServerURL" serializeAs="String">
        <value />
      </setting>
      <setting name="ShowOutput" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ThisGateName" serializeAs="String">
        <value />
      </setting>
      <setting name="UpgradeRequired" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="WriteOutputToLog" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="FullFilenameLog" serializeAs="String">
        <value />
      </setting>
      <setting name="AppServerURL" serializeAs="String">
        <value />
      </setting>
      <setting name="TargetDBName" serializeAs="String">
        <value />
      </setting>
      <setting name="openAndCloseDelayMilliseconds" serializeAs="String">
        <value>2</value>
      </setting>
      <setting name="OpenGateDirect" serializeAs="String">
        <value>True</value>
      </setting>
    </GateController.Properties.Settings>
  </userSettings>
</configuration>
